Name:           rpmorphan
Version:        1.16
Release:        %mkrel 1
Summary:        List packages that have no dependencies (like deborphan)
Group:          System/Packaging
License:        GPLv2+
URL:            http://rpmorphan.sourceforge.net
Source:         http://download.sf.net/rpmorphan/%{name}-%{version}.tar.gz

BuildArch:      noarch
Requires:       logrotate
Requires:       perl
Requires:       rpm
# rpmorphan can also use tk or curses but it is optional
Recommends:     perl-Tk
Recommends:     perl-Curses-UI
# to speed up rpm query, use RPM2.pm perl package
Recommends:     perl-RPM2

%description
rpmorphan finds orphaned packages on your system. It determines
which packages have no other packages depending on their installation,
and shows you a list of these packages.It intends to be clone of 
deborphan Debian tools for RPM packages.

Several tools are also provided :
* rpmusage - display rpm packages last use date
* rpmdep - display the full dependency of an installed rpm package
* rpmduplicates - find packages with several version installed
* rpmextra - find installed packages not in distribution

%prep
%autosetup

%build
# Nothing to build

%install
%make_install

%files
%doc rpmorphan.lsm Authors COPYING Changelog NEWS Todo Readme Readme.fr rpmorphanrc.sample
%{_bindir}/grpmorphan
%{_bindir}/rpm*
%{_prefix}/lib/%{name}/
%{_mandir}/man1/rpm*.1*
%ghost %{_localstatedir}/log/%{name}.log
%dir %{_localstatedir}/lib/%{name}
%config(noreplace) %{_localstatedir}/lib/%{name}/keep
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/%{name}rc


%changelog
* Sun Jan 29 2017 akien <akien> 1.16-1.mga6
+ Revision: 1084135
- Version 1.16

* Sat Feb 06 2016 umeabot <umeabot> 1.12-5.mga6
+ Revision: 940163
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.12-4.mga5
+ Revision: 748560
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.12-3.mga5
+ Revision: 688712
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.12-2.mga4
+ Revision: 533190
- Mageia 4 Mass Rebuild

* Mon Aug 26 2013 shlomif <shlomif> 1.12-1.mga4
+ Revision: 471970
- New version of rpmorphan with some fixes.
  Thanks to James Abtahi (jamescategory).

* Tue Jan 22 2013 fwang <fwang> 1.7-3.mga3
+ Revision: 390815
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 1.7-2.mga3
+ Revision: 380480
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 kharec <kharec> 1.7-1.mga2
+ Revision: 106527
- imported package rpmorphan

